Subject: Re: [6lowpan] #65: Deriving IIDs from Short Addresses

From: Huan Huan <[email-masked]>
Date: Tue, 30 Mar 2010 11:29:23 +0800

>
> Message: 1
> Date: Mon, 29 Mar 2010 15:10:25 -0000
> From: "6lowpan issue tracker" <[email-masked]>
> Subject: [6lowpan]  #65: Deriving IIDs from Short Addresses
> To: [email-masked]
> Cc: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"
>
> #65: Deriving IIDs from Short Addresses
>
> --------------------------------+-------------------------------------------
>  Reporter:  jhui@?              |       Owner:  jhui@?
>     Type:  defect              |      Status:  new
>  Priority:  major               |   Milestone:
> Component:  hc                  |     Version:
>  Severity:  Active WG Document  |    Keywords:
>
> --------------------------------+-------------------------------------------
>  One of the issues raised on the ML and in Anaheim is the issue of deriving
>  IIDs from IEEE 802.15.4 short addresses.  There was general consensus that
>  the PAN ID should never be included in the IID.  As such, I think we now
>  have the following two options:
>
>  1) Maintain the RFC 4944 translation (short address -> ethernet address ->
>  64-bit IID).  Generated IIDs will be 64 bits in length and of the form
>  (0000:00ff:fe00:xxxx), where xxxx is the short address.
>
>  2) Update RFC 4944 translation to (short address -> 17-bit IID).
>  Generated IIDs will be 17 bits in length and of the form
>  (0000:0000:0001:xxxx), where xxxx is the short address.
>
>  The primary difference between the two options are the lengths of prefixes
>  that may be used to generate global addresses.  Option 1 says that
>  different PANs must be assigned unique 64-bit prefixes.  Option 2 says
>  that different PANs must be assigned unique 111-bit prefixes, but that
>  multiple PANs may utilize the same 64-bit prefix.
>
>  I am comfortable with either option, but we need to agree on one that is
>  well-defined.  So which would people prefer?  If you have no preference,
>  please provide that feedback as well.
>
> --
> Ticket URL: <http://trac.tools.ietf.org/wg/6lowpan/trac/ticket/65>
> 6lowpan <http://tools.ietf.org/6lowpan/>
>
>
either is OK, but consider about connectivity with other network, I prefer
optinon 1), using 64-bit prefixs.
-- 
Huan Huan

BII Group
IPv6 R&D Center
Technique Project Manager